/*Create table Barang
(
   KdBarang Char(5) constraint pk_KdBarang_Barang primary Key
	constraint ck_kd_barang_barang check(KdBarang like '[A-Z][A-Z][0-9][0-9][0-9]'),
   NmBarang Varchar(30) constraint nn_NmBarang_Barang Not Null,
   Satuan Varchar(15) constraint nn_Satuan_Barang Not Null,
   Stock int constraint nn_Stock_Barang Not Null
		   constraint ck_Stock_Barang check (Stock > 0),
   HrgJual Bigint constraint nn_HrgJual_Barang Not Null
);*/

/*Create table Pelanggan
(
  KdPelanggan Char(5) 
	constraint pk_KdPelanggan_pelanggan Primary Key 
	constraint ck_kd_pelanggan_pelanggan check(KdPelanggan like '[A-Z][A-Z][0-9][0-9][0-9]'),
  NmPelanggan Varchar(30) constraint nn_NmPelanggan_pelanggan Not Null,
  Alamat Varchar(40) constraint nn_Alamat_pelanggan Not Null,
  Kota Varchar(20) constraint nn_Kota_pelanggan Not Null
		   constraint ck_Kota_pelanggan check (Kota In ('Surabaya','Sidoarjo','Malang')),
  Telepon Varchar(12) constraint nn_Telepon_pelanggan Not Null
);*/
/*Create Table Penjualan
(
   NoFaktur Char(5) Constraint pk_NoFaktur_Penjualan Primary Key,
   TglFaktur Datetime Constraint nn_TglFaktur_Penjualan Not Null, 
   KodePlg Char(5) Constraint fk_KodePlg_Penjualan references Pelanggan (KdPelanggan)
);*/
/*Create Table DetilJual
(
   NoFaktur Char(5) constraint fk_NoFaktur_DetilJual references Penjualan(Nofaktur),
   KodeBarang Char(5) constraint fk_KdBrg_DetilJual references Barang(KdBarang),
   JmlJual int constraint nn_jumlah_DetilJual not Null
		     constraint ck_jumlah_DetilJual Check (JmlJual between 1 and 1000),
   constraint pk_NoFaktur_KdBrg_DetilJual primary Key(NoFaktur, KodeBarang)
);*/

/*Insert into Barang Values('TS001','Tape Sony 300 Watt','Unit',1000,500000);
Insert into Barang Values('TA002','Tape Aiwa 500 Watt','Unit',1200,750000);
Insert into Barang Values('VP001','TV Panasonic 20"','Unit',1500,2000000);
Insert into Barang Values('VS002','TV Sony 21"','Unit',900,2150000);
Insert into Barang Values('VA003','TV Aiwa 21"','Unit',400,1850000);
Insert into Barang Values('KG001','Kompor Gas Rinai','Unit',500 ,150000);
Insert into Barang Values('KG002','Kompor Gas Electrolux','Unit',250,400000);
Insert into Barang Values('LG001','Lemari Es LG','Unit',750 ,1250000);
Insert into Barang Values('LT002','Lemari Es Toshiba','Unit',400,1850000);
Insert into Barang Values('LS003','Lemari Es Sharp','Unit',300,1350000);
Insert into Barang Values('MS001','Mesin Cuci Sharp','Unit',650,1350000);
Insert into Barang Values('MD002','Mesin Cuci Daiichi','Unit',300,1450000);

Insert into Pelanggan Values('PT001','PT. Andhika Jaya','Jl. Flores 59','Surabaya','0315704123');
Insert into Pelanggan Values('PT002','PT. Karya Sentosa','Jl. Blimbing 17','Malang','0341230230');
Insert into Pelanggan Values('PT003','PT. Grand Mercury','Jl. Pahlawan 10','Sidoarjo','0318795100');
Insert into Pelanggan Values('CV004','CV. Eka Jaya','Jl. Kalimantan 16','Surabaya','0315942020');
Insert into Pelanggan Values('CV005','CV. Dwi Putra','Jl. Sulawesi 130','Surabaya','0315924545');

Insert into Penjualan Values('F0001','29-DEC-2003','PT001');
Insert into Penjualan Values('F0002','30-DEC-2003','PT002');
Insert into Penjualan Values('F0003','05-JAN-2004','PT003');
Insert into Penjualan Values('F0004','10-JAN-2004','CV004');
Insert into Penjualan Values('F0005','07-FEB-2004','CV005');
Insert into Penjualan Values('F0006','07-MAR-2004','PT001');
Insert into Penjualan Values('F0007','11-JAN-2005','PT002');
Insert into Penjualan Values('F0008','14-JUN-2005','CV004');
Insert into Penjualan Values('F0009','17-JUL-2005','PT003');
Insert into Penjualan Values('F0010','25-JUL-2002','PT001');

Insert into DetilJual Values('F0001','TS001',7);
Insert into DetilJual Values('F0001','VP001',10);
Insert into DetilJual Values('F0001','LG001',3);
Insert into DetilJual Values('F0001','MS001',2);
Insert into DetilJual Values('F0001','VS002',5);
Insert into DetilJual Values('F0002','TA002',15);
Insert into DetilJual Values('F0002','VA003',5);
Insert into DetilJual Values('F0002','KG001',8);
Insert into DetilJual Values('F0002','LT002',6);
Insert into DetilJual Values('F0003','MD002',20);
Insert into DetilJual Values('F0003','LG001',6);
Insert into DetilJual Values('F0003','VA003',10);
Insert into DetilJual Values('F0004','LS003',4);
Insert into DetilJual Values('F0004','KG002',10);
Insert into DetilJual Values('F0005','TS001',3);
Insert into DetilJual Values('F0005','VS002',6);
Insert into DetilJual Values('F0005','LT002',3);
Insert into DetilJual Values('F0006','KG002',7);
Insert into DetilJual Values('F0006','MD002',4);
Insert into DetilJual Values('F0006','TA002',2);
Insert into DetilJual Values('F0006','TS001',2);
Insert into DetilJual Values('F0007','TS001',2);
Insert into DetilJual Values('F0007','TA002',3);
Insert into DetilJual Values('F0008','KG001',4);
Insert into DetilJual Values('F0008','LG001',7);
Insert into DetilJual Values('F0009','LS003',2);
Insert into DetilJual Values('F0009','MD002',5);
Insert into DetilJual Values('F0009','VP001',3);

Insert into DetilJual Values('F0010','MS001',2);
Insert into DetilJual Values('F0010','VP001',3);*/

select * from barang;
select * from pelanggan;
select * from penjualan;
select * from detiljual;